- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterSurfaceInitFactory Class Reference
[COLLADA Effect Classes [ColladaFX]]

[INTERNAL] The factory for COLLADA effect parameter surface initialization. More...

`#include <FCDEffectParameterSurface.h>`

List of all members.

## Public Types
enum | InitType { FROM, AS_NULL, AS_TARGET, CUBE, VOLUME, PLANAR }
| The supported initialization types. More...
## Static Public Member Functions
static FCDEffectParameterSurfaceInit * | Create (InitType type)
| [INTERNAL] Creates a new effect surface initialization parameter, given a type.

## Detailed Description

[INTERNAL] The factory for COLLADA effect parameter surface initialization.

## Member Enumeration Documentation

enum FCDEffectParameterSurfaceInitFactory::InitType

  | The supported initialization types. Enumerator:
  FROM | Loads a surface from one simple image file. See also: FCDEffectParameterSurfaceInitFrom
  AS_NULL | No initialization. This surface may be initialized by some future effect parameter override.
  AS_TARGET | Initializes an engine-specific render target for offscreen rendering. In this case, the dimensions should be provided by the surface effect parameter.
  CUBE | Loads a cube-map from one complex image file or six simple image files. See also: FCDEffectParameterSurfaceInitCube
  VOLUME | Loads a 3D images for one image file. See also: FCDEffectParameterSurfaceInitVolume
  PLANAR | Loads a surface from one simple image file.

## Member Function Documentation

static FCDEffectParameterSurfaceInit* FCDEffectParameterSurfaceInitFactory::Create | ( | InitType | type | ) | `[static]`

  | [INTERNAL] Creates a new effect surface initialization parameter, given a type. Parameters:
  | type | The type of initialization parameter to create.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectParameterSurface.h